# Generated from sup-0.10.2.gem by gem2rpm -*- rpm-spec -*-

%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname sup
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: A console-based email client written in ruby
Name: rubygem-%{gemname}
Version: 0.10.2
Release: 6%{?dist}
Group: Applications/Internet
License: GPLv2+
URL: http://sup.rubyforge.org/
Source0: http://rubygems.org/downloads/%{gemname}-%{version}.gem

Requires: ruby(abi) = 1.8
Requires: rubygems
Requires: ruby(ncurses)
Requires: xapian-bindings-ruby
Requires: rubygem(rmail)
Requires: rubygem(highline)
Requires: rubygem(net-ssh)
Requires: rubygem(trollop)
Requires: rubygem(lockfile)
Requires: rubygem(mime-types)
Requires: rubygem(gettext)

BuildRequires: ruby
BuildRequires: rubygems

BuildArch: noarch

Provides: %{gemname} = %{version}
Provides: rubygem(%{gemname}) = %{version}

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%description
Sup is a console-based email client for people with a lot of email. It
supports tagging, very fast full-text search, automatic contact-list
management, and more. If you're the type of person who treats email as an
extension of your long-term memory, Sup is for you.  Sup makes it easy to: -
Handle massive amounts of email.  - Mix email from different sources: mbox
files (even across different machines), Maildir directories, IMAP folders, POP
accounts, and GMail accounts.  - Instantaneously search over your entire email
collection. Search over body text, or use a query language to combine search
predicates in any way.  - Handle multiple accounts. Replying to email sent to
a particular account will use the correct SMTP server, signature, and from
address.  - Add custom code to handle certain types of messages or to handle
certain types of text within messages.  - Organize email with user-defined
labels, automatically track recent contacts, and much more!  The goal of Sup
is to become the email client of choice for nerds everywhere.


%prep

%build

%install

mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}
            
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gemdir}/bin

# Modifying gemspec to remove dependency on xapian-full and ncursesw

pushd %{buildroot}%{gemdir}/specifications
sed -i -e '/xapian-full/, 1d' %{gemname}-%{version}.gemspec
sed -i -e '/ncursesw/, 1d' %{gemname}-%{version}.gemspec
popd

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%{_bindir}/sup
%{_bindir}/sup-add
%{_bindir}/sup-config
%{_bindir}/sup-dump
%{_bindir}/sup-recover-sources
%{_bindir}/sup-sync
%{_bindir}/sup-sync-back
%{_bindir}/sup-tweak-labels
%{_bindir}/sup-convert-ferret-index
%doc %{geminstdir}/CONTRIBUTORS
%doc %{geminstdir}/History.txt
%doc %{geminstdir}/LICENSE
%doc %{geminstdir}/README.txt
%doc %{geminstdir}/ReleaseNotes
%{geminstdir}/lib
%{geminstdir}/bin
%exclude %{geminstdir}/lib/ncurses.rb
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-, root, root, -)
%{gemdir}/doc/%{gemname}-%{version}

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jun 14 2010 Shreyank Gupta <sgupta@redhat.com> - 0.10.2-5
- Added Provides: rubygem(%%{gemname}) = %%{version}

* Mon Jun 14 2010 Shreyank Gupta <sgupta@redhat.com> - 0.10.2-4
- Removed redundant versions from Requires.
- Moving %%{gemdir}/bin/* to %%{_bindir}
- Excluded lib/ncurses.rb
- Renamed package to rubygem-sup

* Fri Jun 11 2010 Shreyank Gupta <sgupta@redhat.com> - 0.10.2-3
- Removed require 'xapian-full' and 'ncursesw' from gemspec

* Wed Jun 09 2010 Shreyank Gupta <sgupta@redhat.com> - 0.10.2-2
- Moving %%geminstdir/bin/* instead of %%gemdir/bin/* to %%_bindir
- Requires xapian-bindings-ruby

* Mon Jun 07 2010 Shreyank Gupta <sgupta@redhat.com> - 0.10.2-1
- Initial package
